Már havonta több mint 3 millió Snaps-ot telepítünk

3M Snaps telepítések

3M Snaps telepítések

Az Ubuntu 16.04 LTS nagyszerű kiadás volt. Ezt bejelentették, és azért is, mert érdekes híreket tartalmazott, bár egyesek többet, mint mások. Ez a változat ígérte a sokat álmodott konvergencia megvalósítását, bár ezt végül felszámolták. Ez volt az első verzió, amely támogatást tartalmazott valami új dologhoz: a snaps (itt, hogyan kezelje őket). A a snap csomagok lehetővé teszik, hogy az alkalmazások és a függőségek is ugyanabban a csomagban legyenek, ami gyorsabbá és biztonságosabbá teszi a telepítést.

Három évvel később úgy tűnik, hogy a kanonikus ötlet sikeres volt. A nagyszerű infografikában, amelyet a Canonical általában publikál, a Mark Suttleworth által irányított társaság biztosítja, hogy már havonta több mint hárommillió beépítés. Ez egyáltalán nem lep meg, mert magam is például az Ubuntu alapú operációs rendszer telepítése után tett feladataim közé tartozik a VLC verziójának eltávolítása és a rendelkezésre álló verzió telepítése mint Snap. Miért? Nos, például, hogy élvezhesse a hatalmas frissítést VLC 4 ami már fejlődik.

Snaps elérhető 42 Linux disztribúcióhoz

Snapcarft infographic

Snapcarft infographic

És az, hogy a csattanások mind előnyöket jelentenek például az APT csomagokkal szemben. Amikor egy Linux fejlesztő egy alkalmazást akar elindítani, két lehetősége van: vagy több verziót hoz létre különböző operációs rendszerek számára, vagy elérhetővé teszi a bináris fájlokat számunkra, hogy megtaláljuk az életünket. A snap csomagok 42 operációs rendszeren érhető el különböző, amelyek között az Ubuntu és minden hivatalos íze mellett megtaláljuk a Debiant, a Linux Mint, az Arch Linuxot, a Fedorát vagy a Raspbian-t. Így egyszer működik, és 42 rendszerre telepíthető, amelyek alapértelmezés szerint támogatottak.

Másrészt, és ahogyan azt már többször említettük, az APT-csomag frissítéséhez el kell juttatni a Canonicalhoz, és közzé kell tenniük a táraikban. Ez egy frissítés hosszabb ideig tart, amíg eljut a nagyközönséghez, ami veszélyes lehet. A a csomagok eltávolítják a középső embert és több nap várakozás.

Melyik pofon a kedvenced?


A cikk tartalma betartja a szerkesztői etika. A hiba bejelentéséhez kattintson a gombra itt.

4 hozzászólás, hagyd a tiedet

Hagyja megjegyzését

E-mail címed nem kerül nyilvánosságra.

*

*

  1. Az adatokért felelős: Miguel Ángel Gatón
  2. Az adatok célja: A SPAM ellenőrzése, a megjegyzések kezelése.
  3. Legitimáció: Az Ön beleegyezése
  4. Az adatok közlése: Az adatokat csak jogi kötelezettség alapján továbbítjuk harmadik felekkel.
  5. Adattárolás: Az Occentus Networks (EU) által üzemeltetett adatbázis
  6. Jogok: Bármikor korlátozhatja, helyreállíthatja és törölheti adatait.

  1.   Juan Carlos dijo

    Személy szerint nem használom. Nem tudom, nem győz meg, azon kívül egy "snap" könyvtárat hoz létre számomra otthon, és ez nem tetszik. Azok közé tartozom, akik .deb csomagokat és / vagy adattárakat használnak, mindegyik lekapcsolja kedves Ubutnumról.

    1.    pablinux dijo

      Szia, Juan Carlos. Nem szereted a változásokat, mint én. De ez jó. Felejtse el a mappa részleteit. Gondoljon arra, hogy az APT csomagkezelő vagy a .deb fájlok függőségekkel működnek, és lehetséges, hogy az egyikük frissítésében egy program leáll. Ez nem történhet meg veled a pillanat alatt. Ez egy példa az új típusú csomagok használatának előnyeire.

      A köszöntés.

  2.   Szikla dijo

    Szinte az összes általam használt program Snap. Vannak azonban még apró részeik, amelyeket csiszolni kell.
    Például: A Gimp és az Inkscape mindkettője nem fogadja el a "kiterjesztéseket", vagy teljesen más módon telepítik őket, mint a .deb verzió.
    A Firefox és a Chormium pattintások nem engedik, hogy fájlokat töltsön közvetlenül egy tollra (ez nem alapvető fontosságú, de kíváncsi).
    A Snaps programok nem integrálódnak az asztali "témával", egyesek, mint például a Gimp vagy a LibreOffice, több jó témával is rendelkeznek, mások, mint az Inkscape és az Audacity, témával rendelkeznek. túl „retro”.
    De hát, három év alatt ... sokat fejlődtek, akkor még csak angolul voltak, és most alkalmazkodnak a rendszer nyelvéhez.

    1.    pablinux dijo

      Hello Rock ?? Értem, mire gondolsz. Soha nem próbáltam telepíteni ezeket a kiterjesztéseket, de láttam, hogy ha eltávolítom a Firefoxot, és a pillanatról telepítem, akkor az nincs annyira integrálva. Firefox otthagyom, ahogy jön. De másoknak, mint a VLC-nek, törlöm őket, hogy a pillanat legyen. A VLC 4 lesz a nád, és nem várom, hogy kipróbáljam. Lehet, hogy ez a könyvtáram a zenéhez és mindenhez.

      A köszöntés.

bool (igaz)